/*
 * 作成日: 2007/09/06
 */
package asandatabasebrowser.model;

import java.util.ArrayList;

public class TableTypeInfo {
	/**
	 * テーブルなどの型。 
	 * 典型的な型は、「TABLE」、「VIEW」、「SYSTEM TABLE」、
	 * 「GLOBAL TEMPORARY」、「LOCAL TEMPORARY」、「ALIAS」、「SYNONYM」など
	 */
	public final String type;
	/** ArrayList<TableInfo> */
	private ArrayList tableInfoList;
	
	TableTypeInfo(String type) {
		assert type != null;
		this.type = type;
		tableInfoList = new ArrayList();
	}
	public void add(TableInfo ti) {
		tableInfoList.add(ti);
	}
	public int getCount() {
		return tableInfoList.size();
	}
	public TableInfo getTableInfo(int index) {
		return (TableInfo) tableInfoList.get(index);
	}
	
	
	public TableInfo getTableInfo(String tablename) {
		assert tablename != null;
		for (int i=0; i<tableInfoList.size(); i++) {
			TableInfo t = (TableInfo) tableInfoList.get(i);
			if (t.tableName.equals(tablename)) {
				return t;
			}
		}
		return null;
	}
}
